#
# spec file for package python-libarchive-c
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-libarchive-c
Version:        2.7
Release:        lp150.1.3
License:        CC0-1.0
Summary:        Python interface to libarchive
Url:            https://github.com/Changaco/python-libarchive-c
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/l/libarchive-c/libarchive-c-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  %{python_module pytest}
BuildRequires:  libarchive-devel
%endif
Requires:       libarchive-devel
BuildArch:      noarch

%python_subpackages

%description
A Python interface to libarchive. It uses the standard ctypes_ module to
dynamically load and access the C library.

%prep
%setup -q -n libarchive-c-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Sep  7 2017 toddrme2178@gmail.com
- initial version
